Returns
Retrieve a return
GET
/
v1
/
returns
/
{returnId}
Retrieve a return
curl --request GET \
--url https://api.tybritelabs.com/logistics/v1/returns/{returnId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tybritelabs.com/logistics/v1/returns/{returnId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tybritelabs.com/logistics/v1/returns/{returnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tybritelabs.com/logistics/v1/returns/{returnId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tybritelabs.com/logistics/v1/returns/{returnId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tybritelabs.com/logistics/v1/returns/{returnId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tybritelabs.com/logistics/v1/returns/{returnId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"return": {
"id": "c9ad959e-2d5a-4caa-a812-bf387e071560",
"return_number": "RET-20260723-82980",
"merchant_company_id": "7d94c9e8-0000-0000-0000-000000000000",
"order_id": "5b3b25fd-cb3a-48c2-9351-d163862fba26",
"shipment_id": "47b5ce1f-859a-455f-9edb-38a9a65530a6",
"end_customer_id": null,
"status": "requested",
"reason": "changed_mind",
"resolution": null,
"liability_party": "customer",
"customer_note": null,
"merchant_note": null,
"reverse_shipment_id": null,
"replacement_shipment_id": null,
"refund_amount": null,
"refund_reference": null,
"window_expires_at": "2026-07-30T19:23:57.176285+00:00",
"requested_at": "2026-07-23T19:23:57.176285+00:00",
"approved_at": null,
"received_at": null,
"resolved_at": null,
"environment": "production",
"created_at": "2026-07-23T19:23:57.176285+00:00",
"updated_at": "2026-07-23T19:23:57.176285+00:00",
"items": "[]"
}
}⌘I
Retrieve a return
curl --request GET \
--url https://api.tybritelabs.com/logistics/v1/returns/{returnId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tybritelabs.com/logistics/v1/returns/{returnId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tybritelabs.com/logistics/v1/returns/{returnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tybritelabs.com/logistics/v1/returns/{returnId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tybritelabs.com/logistics/v1/returns/{returnId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tybritelabs.com/logistics/v1/returns/{returnId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tybritelabs.com/logistics/v1/returns/{returnId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"return": {
"id": "c9ad959e-2d5a-4caa-a812-bf387e071560",
"return_number": "RET-20260723-82980",
"merchant_company_id": "7d94c9e8-0000-0000-0000-000000000000",
"order_id": "5b3b25fd-cb3a-48c2-9351-d163862fba26",
"shipment_id": "47b5ce1f-859a-455f-9edb-38a9a65530a6",
"end_customer_id": null,
"status": "requested",
"reason": "changed_mind",
"resolution": null,
"liability_party": "customer",
"customer_note": null,
"merchant_note": null,
"reverse_shipment_id": null,
"replacement_shipment_id": null,
"refund_amount": null,
"refund_reference": null,
"window_expires_at": "2026-07-30T19:23:57.176285+00:00",
"requested_at": "2026-07-23T19:23:57.176285+00:00",
"approved_at": null,
"received_at": null,
"resolved_at": null,
"environment": "production",
"created_at": "2026-07-23T19:23:57.176285+00:00",
"updated_at": "2026-07-23T19:23:57.176285+00:00",
"items": "[]"
}
}
